## ros-indigo-homer-gui 1.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(homer_gui)

#include($ENV{ROS_ROOT}/core/rosbuild/rosbuild.cmake)

#Activate c++ 11 standard (does not work with old robbie libraries)
# set( APPEND CMAKE_CXX_FLAGS "-std=c++11 ${CMAKE_CXX_FLAGS} -g -ftest-coverage -fprofile-arcs")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")


# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
#set(ROS_BUILD_TYPE RelWithDebInfo)
set(ROS_BUILD_TYPE Release)

#rosbuild_init()
find_package(catkin REQUIRED COMPONENTS roscpp std_msgs genmsg cv_bridge roslib robbie_architecture or_libs or_nodes homer_nav_libs rviz homer_mapnav_msgs)

#set the default path for built executables to the "bin" directory
#set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
#set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(robotgui src/main.cpp)
#target_link_libraries(example ${PROJECT_NAME})

##############################################################################
# Required 3rd party
##############################################################################
# http://qtnode.net/wiki/Qt4_with_cmake

find_package(Qt4 COMPONENTS QtCore QtGui QtOpenGl QtNetwork QtXml REQUIRED)
#find_package(OpenGL REQUIRED)
find_package(PCL REQUIRED)

SET(QT_USE_QTXML TRUE)
#SET(QT_USE_QTOPENGL TRUE)
include(${QT_USE_FILE})



# This is necessary as all ui files etc will get dumped in the bottom of the
# binary directory.
include_directories(
	include
	${CMAKE_CURRENT_BINARY_DIR}
	${catkin_INCLUDE_DIRS}
	${PROJECT_SOURCE_DIR}
	src/Workers
        src/
        src/Widgets/GLImageWidget/
#	${OPENGL_INCLUDE_DIRS}
	${catkin_INCLUDE_DIRS}
        ${PCL_INCLUDE_DIRS}
)

##############################################################################
# Sections
##############################################################################

catkin_package(
#  INCLUDE_DIRS ${PROJECT_SOURCE_DIR}
  CATKIN_DEPENDS std_msgs roscpp or_nodes or_libs or_msgs homer_mapnav_msgs
)

add_subdirectory(src)
file(GLOB QT_FORMS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} src/*.ui)
file(GLOB QT_RESOURCES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} resources/resource.qrc)
file(GLOB_RECURSE QT_MOC RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} FOLLOW_SYMLINKS
    include/local/*.hpp
    src/main.h
    src/MainWindow.h
    src/QtRosNode.h
    src/rosprocessbutton.h
    src/talker.h
    src/ButtonProcessAdministrator.h
    src/rosout_subscriber.h
    src/ImageDisplay.h
    src/Workers/ObjectProperties.h
    src/XmlStreamReader.h
)

QT4_ADD_RESOURCES(QT_RESOURCES_CPP ${QT_RESOURCES})
QT4_WRAP_UI(QT_FORMS_HPP ${QT_FORMS})
QT4_WRAP_CPP(QT_MOC_HPP ${QT_MOC})


##############################################################################
# Sources
##############################################################################

file(
	GLOB_RECURSE
	QT_SOURCES
	RELATIVE
	${CMAKE_CURRENT_SOURCE_DIR}
	FOLLOW_SYMLINKS
	src/gicp-fallback.cpp
	src/main.cpp src/MainWindow.cpp
	src/QtRosNode.cpp src/rosprocessbutton.cpp
	src/talker.cpp src/ButtonProcessAdministrator.cpp
	src/rosout_subscriber.cpp
	src/Containers/MapTab.cpp
        src/ImageDisplay.cpp
        src/XmlStreamReader.cpp
)

##############################################################################
# Binaries
##############################################################################
add_executable(homer_gui ${QT_SOURCES} ${QT_RESOURCES_CPP} ${QT_FORMS_HPP} ${QT_MOC_HPP})
target_link_libraries(
	homer_gui
	${QT_LIBRARIES}
	${catkin_LIBRARIES}
        ${ROS_LIBRARIES}
	#--- GUI - Containers
	MapTab
	#ObjectRecognitionTab #TODO
	#ObjectLearningTab #TODO
	#--- GUI - Widgets ---
	#GLImageWidget
	#ImageDisplayWidget
	#ImageMessagesDisplay
	MapDisplay
	#ObjectRecognitionWidget
	#SensorDataDisplay
	#--- Workers ---
	#CoordinateConverterGUI
	#GeoTiffExporter
	#ImageSources
	#KeyPointExtraction
	#ObjectRecognition
	#ParallelSurf
	#PointOfInterestGUI
	#Puma2
	#VectorGraphics
	PointOfInterestGUI
	#--- Dependencies ---
	${QT_LIBRARIES}
	${catkin_LIBRARIES}
	#GL
	#GLU
	#konihcl
	#opencv_imgproc
#	${OPENGL_LIBRARIES}
)
install(TARGETS homer_gui DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== src/CMakeLists.txt ===
add_subdirectory(Containers)
add_subdirectory(Widgets)
add_subdirectory(Workers)

=== src/Containers/CMakeLists.txt ===
add_subdirectory(MapTab)

=== src/Widgets/CMakeLists.txt ===
add_subdirectory(MapDisplay)

=== src/Workers/CMakeLists.txt ===
add_subdirectory(PointOfInterest)

=== src/Containers/MapTab/CMakeLists.txt ===
# add your source files here
set(
	MapTab_SRC
		MapTab.cpp
		MapScrollArea.cpp
)

# add headers of widgets that declare Q_OBJECT here
set(
	MapTab_MOC_H
		MapTab.h
)

qt4_wrap_cpp(MapTab_MOC_SRC ${MapTab_MOC_H})

add_library(
	MapTab
		${MapTab_SRC}
		${MapTab_MOC_SRC}
)

add_dependencies(
	MapTab
		mapnav_msgs_gencpp
)
install(TARGETS MapTab DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Widgets/MapDisplay/CMakeLists.txt ===

# add your source files here
set(
	MapDisplay_SRC
		PoiIcon.cpp
		PoiLabel.cpp
		MapDisplay.cpp
		PoiEditor.cpp
)

# add headers of widgets that declare Q_OBJECT here
set(
	MapDisplay_MOC_H
		MapDisplay.h
		PoiEditor.h
)
qt4_wrap_cpp(MapDisplay_MOC_SRC ${MapDisplay_MOC_H})

add_library(
	MapDisplay
		${MapDisplay_SRC}
		${MapDisplay_MOC_SRC}
)

add_dependencies(
	MapDisplay
		homer_mapnav_msgs_gencpp
)
install(TARGETS MapDisplay DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/Workers/PointOfInterest/CMakeLists.txt ===
set(PointOfInterest_SRC
  PoiManager.cpp
  PointOfInterest.cpp
)

add_library(PointOfInterestGUI ${PointOfInterest_SRC})
install(TARGETS PointOfInterestGUI DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-homer-gui (1.0.6-0trusty) trusty; urgency=high

  * added install()
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 20 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.5-0trusty) trusty; urgency=high

  * added dependency pcl
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 14 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.4-0trusty) trusty; urgency=high

  * splitted Readme file
  * moved files to subfolder homer_gui
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 13 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.3-0trusty) trusty; urgency=high

  * removed door_detection_messages dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 13 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.2-0trusty) trusty; urgency=high

  * cleanup
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 13 Dec 2015 23:00:00 -0000

ros-indigo-homer-gui (1.0.1-0trusty) trusty; urgency=high

  * big bang
  * Contributors: Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Sep 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-homer-gui
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libeigen3-dev, libopencv-dev, libpcl-1.7-all-dev, libqt4-dev, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-genmsg, ros-indigo-homer-mapnav-msgs, ros-indigo-homer-nav-libs, ros-indigo-message-generation, ros-indigo-message-runtime, ros-indigo-or-libs, ros-indigo-or-msgs, ros-indigo-or-nodes, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rviz, ros-indigo-std-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-homer-gui
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libeigen3-dev, libopencv-dev, libpcl-1.7-all-dev, ros-indigo-geometry-msgs, ros-indigo-homer-mapnav-msgs, ros-indigo-homer-nav-libs, ros-indigo-message-runtime, ros-indigo-or-libs, ros-indigo-or-msgs, ros-indigo-or-nodes, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rviz, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: commander interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-homer-gui//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
